<script setup lang="tsx">
import { Form, FormSchema } from '@/components/Form'
import { useForm } from '@/hooks/web/useForm'
import { PropType, reactive, watch } from 'vue'
import { useValidator } from '@/hooks/web/useValidator'

const { required } = useValidator()

const props = defineProps({
  currentRow: {
    type: Object as PropType<any>,
    default: () => null
  },
  actionType: {
    type: String,
    default: 'add'
  }
})

const { formRegister, formMethods } = useForm()
const { setValues, getFormData, getElFormExpose } = formMethods

const formSchema = reactive<FormSchema[]>([
  {
    field: 'organname',
    label: '报送机构',
    component: 'Select',
    componentProps: {
      
    },
  },
  {
    field: 'custpptype',
    label: '客户类型',
    component: 'Select',
    componentProps: {
      
    },
  },
  {
    field: 'suscrimtypes',
    label: '可疑交易特征',
    component: 'Select',
    componentProps: {
      
    },
  },
  {
    field: 'yjbgbs',
    label: '排除预警报告笔数',
    component: 'Input',
    componentProps: {
      
    },
  },
  {
    field: 'yjbgfs',
    label: '排除预警报告份数',
    component: 'Input',
    componentProps: {
      
    },
  },
  {
    field: 'yjbgje',
    label: '排除预警报告金额(万元)',
    component: 'Input',
    componentProps: {
      
    },
  }
])

const rules = reactive({
  
})

const submit = async () => {
  const elForm = await getElFormExpose()
  const valid = await elForm?.validate().catch((err) => {
    console.log(err)
  })
  if (valid) {
    const formData = await getFormData()
    return formData
  }
}

watch(
  () => props.currentRow,
  (currentRow) => {
    if (!currentRow) return
    setValues(currentRow)
  },
  {
    deep: true,
    immediate: true
  }
)

defineExpose({
  submit
})
</script>

<template>
  <Form :rules="rules" @register="formRegister" :schema="formSchema" />
</template>

